package cz.utb.tadis.charts.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ChartType {
    BAR("Pruhový"),
    COLUMN("Sloupcový"),
    //STACKED_COLUMN("Skládaný sloupcový"),
    LINE("Spojnicový"),
    PIE("Koláčový"),
    BUBBLE("Bublinový");

    private String label;

    ChartType(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    @JsonProperty
    public String getName() {
        return name();
    }

}
